ch.qos.logback.classic.net.server

## Class SSLServerSocketReceiver

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.classic.net.ReceiverBase
    - - ch.qos.logback.classic.net.server.ServerSocketReceiver
      - - ch.qos.logback.classic.net.server.SSLServerSocketReceiver

All Implemented Interfaces:
  SSLComponent, ContextAware, LifeCycle

    public class SSLServerSocketReceiver
    extends ServerSocketReceiver
    implements SSLComponent

A `ServerSocketReceiver` that supports SSL.

Author:
  Carl Harris

### Field Summary

### Fields inherited from class ch.qos.logback.classic.net.server.ServerSocketReceiver

`DEFAULT_BACKLOG`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`SSLServerSocketReceiver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ServerSocketFactory` `getServerSocketFactory()` Gets the server socket factory.
`SSLConfiguration` `getSsl()` Gets the server's SSL configuration.
`void` `setSsl(SSLConfiguration ssl)` Gets the server's SSL configuration.

### Methods inherited from class ch.qos.logback.classic.net.server.ServerSocketReceiver

`createServerListener, createServerRunner, getAddress, getBacklog, getInetAddress, getPort, getRunnableTask, onStop, setAddress, setBacklog, setPort, shouldStart`

### Methods inherited from class ch.qos.logback.classic.net.ReceiverBase

`isStarted, start, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SSLServerSocketReceiver

    public SSLServerSocketReceiver()

### Method Detail

#### getServerSocketFactory

    protected ServerSocketFactory getServerSocketFactory()
                                                  throws Exception

Gets the server socket factory.

Subclasses may override to provide a custom factory.

Overrides:
  `getServerSocketFactory` in class `ServerSocketReceiver`
Returns:
  server socket factory
Throws:
  `Exception`

#### getSsl

    public SSLConfiguration getSsl()

Gets the server's SSL configuration.

Specified by:
  `getSsl` in interface `SSLComponent`
Returns:
  SSL configuration; if no SSL configuration was provided a default configuration is returned

#### setSsl

    public void setSsl(SSLConfiguration ssl)

Gets the server's SSL configuration.

Specified by:
  `setSsl` in interface `SSLComponent`
Parameters:
  `ssl` - the SSL configuration to set.